#!/usr/bin/env bash

set -e

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

source /db/vdp/bootstrap_utils.sh
psql_conn

# This script is the second phase of bootstrapping which operates against RMS before it starts

echo "Beginning RMS DB idempotent migrations"
pushd ${DIR}/../migrations
for upgrade in upgrade_*.sql; do
    echo "Running ${upgrade}";
    psql ${PSQL_CONN} -f ${upgrade}
done
popd
