#!/usr/bin/env bash

set -e

function psql_conn()
{
if [ -z "$RDS_SSLROOTCERT" ] # If not set use localdev ssl flag
then
  echo "Localdev bootstrapping..."
  PSQL_CONN="postgresql://${RDS_USER}:${RDS_PASSWORD}@${RDS_WRITER_HOST}:${RDS_PORT}/${RDS_DB}?sslmode=${RDS_SSLMODE}"
else
  PSQL_CONN="postgresql://${RDS_USER}:${RDS_PASSWORD}@${RDS_WRITER_HOST}:${RDS_PORT}/${RDS_DB}?sslmode=${RDS_SSLMODE}&sslrootcert=${RDS_SSLROOTCERT}"
fi
}
